Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# default_resource.cpp File Reference

`#include "tao/default_resource.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/debug.h"`
`#include "tao/IIOP_Factory.h"`
`#include "tao/Acceptor_Registry.h"`
`#include "tao/Connector_Registry.h"`
`#include "tao/Reactive_Flushing_Strategy.h"`
`#include "tao/Block_Flushing_Strategy.h"`
`#include "tao/Leader_Follower_Flushing_Strategy.h"`
`#include "tao/Leader_Follower.h"`
`#include "tao/LRU_Connection_Purging_Strategy.h"`
`#include "tao/LF_Strategy_Complete.h"`
`#include "ace/TP_Reactor.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/Memory_Pool.h"`
`#include "ace/Malloc.h"`
`#include "tao/default_resource.i"`

Include dependency graph for default_resource.cpp:

## Typedefs
typedef ACE_Malloc< ACE_LOCAL_MEMORY_POOL, ACE_Null_Mutex > | NULL_LOCK_MALLOC
typedef ACE_Allocator_Adapter< NULL_LOCK_MALLOC > | NULL_LOCK_ALLOCATOR
typedef ACE_Malloc< ACE_LOCAL_MEMORY_POOL, TAO_SYNCH_MUTEX > | LOCKED_MALLOC
typedef ACE_Allocator_Adapter< LOCKED_MALLOC > | LOCKED_ALLOCATOR
## Functions
const char * | get_rcsid_tao_default_resource (const char *)
| ACE_STATIC_SVC_DEFINE (TAO_Default_Resource_Factory, ACE_LIB_TEXT("Resource_Factory"), ACE_SVC_OBJ_T,&ACE_SVC_NAME(TAO_Default_Resource_Factory), ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ, 0) ACE_FACTORY_DEFINE(TAO
## Variables
const char * | rcsid_tao_default_resource = get_rcsid_tao_default_resource ( rcsid_tao_default_resource )

## Typedef Documentation

typedef ACE_Allocator_Adapter<LOCKED_MALLOC> LOCKED_ALLOCATOR

typedef ACE_Malloc<ACE_LOCAL_MEMORY_POOL,TAO_SYNCH_MUTEX> LOCKED_MALLOC

typedef ACE_Allocator_Adapter<NULL_LOCK_MALLOC> NULL_LOCK_ALLOCATOR

typedef ACE_Malloc<ACE_LOCAL_MEMORY_POOL,ACE_Null_Mutex> NULL_LOCK_MALLOC

## Function Documentation

ACE_STATIC_SVC_DEFINE | ( | TAO_Default_Resource_Factory | ,
|  | ACE_LIB_TEXT("Resource_Factory") | ,
|  | ACE_SVC_OBJ_T | ,
|  | &ACE_SVC_NAME(TAO_Default_Resource_Factory) | ,
|  | ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ | ,
|  | 0 |
| ) |

const char* get_rcsid_tao_default_resource | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_tao_default_resource = get_rcsid_tao_default_resource ( rcsid_tao_default_resource )`[static]`